#include <stdio.h>
#include <sys/time.h>
#include <sys/resource.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <fcntl.h>
#include <errno.h>
#include <unistd.h>

int main(int argc, char **argv)
{
	int i;
	int fd;

	/* To prevent too fast restarting */
	sleep(3);

	for (i = 0; i < 100; ++i) {
		fd = open("/dev/null", O_RDONLY);
		if (fd < 0) {
			printf("%d fds, error: %d\n", i, errno);
			break;
		}
	}

	/* Wait for being restarted by systemd */
	for (;;)
		pause();

	return 0;
}
